## theano 0.7

=== benchmark/autoencoder/Makefile ===
aa.x : aa.cc
	g++ -O3 -ffast-math aa.cc -o aa.x -L${PUB_PREFIX}/lib -lgsl ${THEANO_BLAS_LDFLAGS}

clean : 
	rm aa.x
