=== debian/changelog ===
theano (0.7-1) unstable; urgency=medium

  * Upload to unstable.
  * deb/control: updated uploader email address.

 -- Daniel Stender <stender@debian.org>  Sat, 25 Jun 2016 15:17:25 +0200

theano (0.7-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #576540).

 -- Daniel Stender <debian@danielstender.com>  Thu, 25 Feb 2016 19:28:29 +0100
