=== debian/control ===
Source: theano
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python3-sphinx,
 python3-pygments
Standards-Version: 3.9.7
Homepage: http://www.deeplearning.net/software/theano/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/theano.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/theano.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

# nvidia-cuda-toolkit should be at least Recommends, but it's in Suggests here to
# keep the package in main (maybe Recommends would justify that, too). As soon
# as libgpuarray gets available that's going to get added to depends. That
# package employs the GPU for Theano via OpenCL (alternative backend), then non-free
# stuff is going to be not needed anymore for GPU accelerated computation at all

Package: python-theano
Architecture: all
Section: python
Depends:
 ${python:Depends},
 python-dev,
 libopenblas-dev,
 g++,
 ${misc:Depends}
Recommends:
 python-pydot,
 python-nose,
 theano-doc
Suggests:
 nvidia-cuda-toolkit,
 python-pycuda
Description: CPU/GPU math expression compiler for Python
 Theano is a Python library that allows one to define and evaluate mathematical
 expressions involving multi-dimensional arrays efficiently. It provides a
 high-level Numpy like expression language for functional description of
 calculation, rearranges expressions for speed and stability, and generates
 native machine instructions for fast calculation. Optionally, highly
 accelerated computations could be carried out on graphics cards processors.
 .
 This package contains Theano for Python 2.

# pycuda is demanded by some tests

Package: python3-theano
Architecture: all
Section: python
Depends:
 ${python3:Depends},
 python3-dev,
 libopenblas-dev,
 g++,
 ${misc:Depends}
Recommends:
 python3-pydot,
 python3-nose,
 theano-doc
Suggests:
 nvidia-cuda-toolkit,
 python3-pycuda
Description: CPU/GPU math expression compiler for Python 3
 Theano is a Python library that allows one to define and evaluate mathematical
 expressions involving multi-dimensional arrays efficiently. It provides a
 high-level Numpy like expression language for functional description of
 calculation, rearranges expressions for speed and stability, and generates
 native machine instructions for fast calculation. Optionally, highly
 accelerated computations could be carried out on graphics cards processors.
 .
 This package contains Theano for Python 3.

Package: theano-doc
Architecture: all
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Recommends:
 python-theano,
 python3-theano
Description: CPU/GPU math expression compiler for Python (docs)
 Theano is a Python library that allows one to define and evaluate mathematical
 expressions involving multi-dimensional arrays efficiently. It provides a
 high-level Numpy like expression language for functional description of
 calculation, rearranges expressions for speed and stability, and generates
 native machine instructions for fast calculation. Optionally, highly
 accelerated computations could be carried out on graphics cards processors.
 .
 This package contains the documentation for Theano.
