=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=theano

export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/{package} # for now

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:

override_dh_auto_test:
	# build-time tests disabled: non-accelerated testing takes veeery long (up to a hour)

override_dh_installdocs:
	dh_installdocs -A README.txt
	sphinx-build -N -bhtml doc/ debian/theano-doc/usr/share/doc/theano-doc/html/
