## theano 0.8.2

=== debian/changelog ===
theano (0.8.2-3) unstable; urgency=medium

  * Upload to unstable.
  * deb/control:
    + don't build on all supported archs.
    + move the info block on nvidia-cuda-toolkit down.
  * deb/rules:
    + narrow temporary failsafe down to i386 and s390x.
  * Dropped deb/README.Debian (obsolete).

 -- Daniel Stender <stender@debian.org>  Sat, 16 Jul 2016 18:33:21 +0200

theano (0.8.2-2) experimental; urgency=medium

  * deb/copyright:
    + split a paragraph.
  * deb/rules:
    + don't run tests on FAST_COMPILE (faster, but makes too many
      problems), and no arch solely on Python (not needed anymore).
  * strip-docs.patch:
    + remove `NEWS` (out-of-date) and `Download` (obsolete) from index.

 -- Daniel Stender <stender@debian.org>  Fri, 15 Jul 2016 15:34:00 +0200

theano (0.8.2-1) experimental; urgency=medium

  * New upstream release:
    + unfuzz strip-docs.patch.
  * deb/control:
    + add six to build deps.
    + add nose-parameterized to build and binary package deps.
    + use virtual libblas.so for the deps of binary packages.
  * deb/copyright:
    + add doc/.templates/layout.html to Files-Excluded (all privacy
      breaches).
    + updated (copyright span, new paragraphs).
  * deb/rules:
    + add empty config.cxx to THEANO_FLAGS on some archs (which are not
      recognizing Theano's default flags "-m32" and "-m64").
    + block web access for sphinx-build regardless.
    + add override for dh_compress.
    + rearrange logically.
  * deb/source/options:
    + add ignore pattern for egg-info directory.
  * add:
    + deb/README.Debian (with info on disabling compilation).
    + deb/missing-source (d3.js, dagre-d3.js, graphlib-dot.js).
    + deb/source.lintian-overrides.

 -- Daniel Stender <stender@debian.org>  Tue, 12 Jul 2016 11:06:03 +0200

theano (0.7-5) unstable; urgency=medium

  * deb/control: build with libblas-dev.

 -- Daniel Stender <stender@debian.org>  Sun, 10 Jul 2016 10:39:50 +0200

theano (0.7-4) unstable; urgency=medium

  * deb/control:
    + alternatively depend on libblas-dev (build and binary packages).
  * deb/rules:
    + fixed base_compiledir in export for THEANO_FLAGS.
    + added FAST_COMPILE mode switch to THEANO_FLAGS.
    + run tests with bin/theano-nose.

 -- Daniel Stender <stender@debian.org>  Sun, 10 Jul 2016 01:07:54 +0200

theano (0.7-3) unstable; urgency=medium

  * deb/control: use 'Architecture: any' for binary packages.
  * Dropped deb/source.lintian-overrides (no-arch-any).

 -- Daniel Stender <stender@debian.org>  Sat, 02 Jul 2016 18:22:31 +0200

theano (0.7-2) unstable; urgency=medium

  * Run build time tests (Closes: #824116):
    + complete dh_auto_test override in deb/rules.
    + add DEB_BUILD_OPTIONS export for nocheck (disabled by default).
    + add libopenblas-dev and python{,3}-nose to deb/control.
  * deb/control:
    + bump standards to 3.9.8 (no changes needed).
    + build depend against python{,3}-all-dev packages (needed for tests
      and docs).
    + add install_requires (numpy and scipy) to build-deps.
    + add rdfind and symlink to build deps.
    + build against python-sphinx (not yet ready for python3-sphinx),
      and python-pygments.
    + add dvipng and texlive-latex-extra to build deps (for ext.pngmath).
    + remove unnecessary comment text.
    + remove g++ from binary package deps (not needed fallback).
  * deb/copyright:
    + remove everything but .gitignore from Files-Excluded.
    + update email address.
  * deb/rules:
    + add export for THEANO_FLAGS with some needed configs (e.g. compiledir).
    + add override for dh_auto_install containing a custom removal.
    + add PYTHONPATH to sphinx-build.
    + run rdfind and symlinks in dh_installdocs override.
    + add removal for extra-license-file in docs package (dh_sphinxdoc
      override).
  * deb/watch:
    + improved filenamemangler.
  * Added deb/source.lintian-overrides.

 -- Daniel Stender <stender@debian.org>  Fri, 01 Jul 2016 23:26:54 +0200
