=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=theano

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:

export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/{package}

override_dh_auto_install:
	dh_auto_install
	rm -fv debian/python*-theano/usr/lib/python*/dist-packages/theano/misc/check_blas_many.sh

export THEANO_FLAGS=base_compiledir='.pybuild',device=cpu

override_dh_auto_test:
ifneq (,$(filter i386 s390x,$(DEB_BUILD_ARCH)))
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH=. {interpreter} bin/theano-nose -v' dh_auto_test || true
else
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH=. {interpreter} bin/theano-nose -v' dh_auto_test
endif

override_dh_installdocs:
	dh_installdocs -A README.txt
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ debian/theano-doc/usr/share/doc/theano-doc/html/
	rdfind -outputname /dev/null -makesymlinks true debian/theano-doc
	symlinks -r -s -c debian/theano-doc

override_dh_sphinxdoc:
	dh_sphinxdoc
	rm -fv debian/theano-doc/usr/share/doc/theano-doc/html/_sources/LICENSE.txt # extra-license-file

override_dh_compress:
	dh_compress -X.py -X.ipynb -X.pdf # save theano-doc/html/_downloads
