=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)rel-(\d[\d\.]+)\.tar\.gz/theano-$1.tar.gz/" \
https://github.com/theano/theano/releases (?:.*/)?rel-(\d[\d\.]+)\.tar\.gz
