## theano 0.9.0%2Bdfsg

=== doc/requirements.txt ===
.. |PlatformCompiler| replace:: ``g++`` (Linux and Windows), ``clang`` (OS X)

.. include:: requirements.inc
