## theano 0.9.0+dfsg

=== debian/changelog ===
theano (0.9.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  [ Rebecca Palmer ]
  * Really remove the pre-minified Javascript.
  * Fix test failures on big-endian systems.  (Closes: #878596)

 -- Daniel Stender <stender@debian.org>  Wed, 08 Nov 2017 08:09:59 +0100

theano (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream, refresh others.
  * Only remove the privacy-violating part of doc/index.txt,
    not all of News and Download.
  * Change Uploaders.  (Closes: #852138)
  * Update and sort d/copyright.
  * Disable another wall-clock speed test (similar to #835531).
  * Bump Standards-Version to 4.1.1 (no changes needed).
  * Bump compat to 10.
  * Recommend python(3)-pygpu and g++.
  * Use the Python 3 versions of sphinx and pygments.
  * Build-depend on python3-sphinx-rtd-theme.
  * Use the version in doc->source links,
    not a (usually non-existent) git commit number.
  * Make tests work with older nose-parameterized.
  * Use python(3)-dev not -all-dev.  (Closes: #867370)
  * Remove pre-minified Javascript, and instead minify at build time.
  * Use libjs-d3 instead of the embedded copy, but re-minify to
    work around #745688.
  * Clean up properly after build.
  * Use Suggests, not Recommends, between package and documentation.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 30 Sep 2017 13:50:38 +0100

theano (0.8.2-6) unstable; urgency=medium

  * Upload to unstable.

 -- Daniel Stender <stender@debian.org>  Wed, 15 Feb 2017 09:09:46 +0100

theano (0.8.2-6~exp1) experimental; urgency=medium

  * add disable-overly-environment-dependent-test.patch (Closes: #835531).
  * add fix-invalid-casts-negative-stride-handling.patch
    (Closes: #831541,#855102) [thanks again to Rebecca N. Palmer].

 -- Daniel Stender <stender@debian.org>  Wed, 15 Feb 2017 00:08:13 +0100

theano (0.8.2-5) unstable; urgency=medium

  *  Upload to unstable. 

 -- Daniel Stender <stender@debian.org>  Tue, 14 Feb 2017 09:47:30 +0100

theano (0.8.2-5~exp1) experimental; urgency=medium

  * add fix-test_fit_int64-for-python3-32bit.patch (Closes: #831540)
    [thanks to Rebecca N. Palmer].
  * deb/rules: remove test failsafes completely.

 -- Daniel Stender <stender@debian.org>  Mon, 13 Feb 2017 23:53:19 +0100

theano (0.8.2-4) unstable; urgency=medium

  * add fixes-for-numpy-1.12.patch (Closes: #848764) [thanks to
    Rebecca N. Palmer].

 -- Daniel Stender <stender@debian.org>  Mon, 13 Feb 2017 15:04:06 +0100
