=== debian/control ===
--- 
+++ 
@@ -3,45 +3,67 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
- Daniel Stender <stender@debian.org>
+ Rebecca N. Palmer <rebecca_palmer@zoho.com>, Ghislain Antony Vaillant <ghisvail@gmail.com>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
- python-all,
- python3-all,
+ python-dev,
+ python3-dev,
  python-setuptools,
  python3-setuptools,
+ python-six,
+ python3-six,
+ libblas-dev,
+ python-numpy,
+ python3-numpy,
+ python-scipy,
+ python3-scipy,
+ python-nose,
+ python3-nose,
+ python-nose-parameterized,
+ python3-nose-parameterized,
+# No python(3)-pygpu because clblas doesn't work under pocl-opencl-icd (no mem_fence) and buildds are unlikely to have a real GPU
  python3-sphinx,
- python3-pygments
-Standards-Version: 3.9.7
+ python3-sphinx-rtd-theme,
+ python3-pygments,
+ dvipng,
+ texlive-latex-extra,
+ rdfind,
+ symlinks,
+ node-browserify-lite,
+ node-uglify,
+ node-pegjs,
+ node-lodash-compat,
+ libjs-d3
+Standards-Version: 4.1.1
 Homepage: http://www.deeplearning.net/software/theano/
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/theano.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/theano.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 
-# nvidia-cuda-toolkit should be at least Recommends, but it's in Suggests here to
-# keep the package in main (maybe Recommends would justify that, too). As soon
-# as libgpuarray gets available that's going to get added to depends. That
-# package employs the GPU for Theano via OpenCL (alternative backend), then non-free
-# stuff is going to be not needed anymore for GPU accelerated computation at all
+# omit archs which have NotImplementedErrors on non-aligned arrays during the tests and/or
+# having problems with the build flags (-m32/-m64), but also with disabled compilation (by cxx='').
 
 Package: python-theano
-Architecture: all
+Architecture: amd64 arm64 i386 ppc64el s390x hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64 sh4 sparc64 x32
 Section: python
 Depends:
  ${python:Depends},
  python-dev,
- libopenblas-dev,
- g++,
+ libblas-dev | libblas.so,
  ${misc:Depends}
 Recommends:
+ g++,
  python-pydot,
  python-nose,
- theano-doc
+ python-nose-parameterized,
+ python-pygpu
 Suggests:
  nvidia-cuda-toolkit,
- python-pycuda
+ python-pycuda,
+ theano-doc
+Built-Using: ${javascriptBU}
 Description: CPU/GPU math expression compiler for Python
  Theano is a Python library that allows one to define and evaluate mathematical
  expressions involving multi-dimensional arrays efficiently. It provides a
@@ -52,24 +74,28 @@
  .
  This package contains Theano for Python 2.
 
-# pycuda is demanded by some tests
+# nvidia-cuda-toolkit should be at least Recommends, but it's in Suggests here to
+# keep the package in main.
 
 Package: python3-theano
-Architecture: all
+Architecture: amd64 arm64 i386 ppc64el s390x hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64 sh4 sparc64 x32
 Section: python
 Depends:
  ${python3:Depends},
  python3-dev,
- libopenblas-dev,
- g++,
+ libblas-dev | libblas.so,
  ${misc:Depends}
 Recommends:
+ g++,
  python3-pydot,
  python3-nose,
- theano-doc
+ python3-nose-parameterized,
+ python3-pygpu
 Suggests:
  nvidia-cuda-toolkit,
- python3-pycuda
+ python3-pycuda,
+ theano-doc
+Built-Using: ${javascriptBU}
 Description: CPU/GPU math expression compiler for Python 3
  Theano is a Python library that allows one to define and evaluate mathematical
  expressions involving multi-dimensional arrays efficiently. It provides a
@@ -86,9 +112,9 @@
 Depends:
  ${sphinxdoc:Depends},
  ${misc:Depends}
-Recommends:
- python-theano,
- python3-theano
+Suggests:
+ python3-theano | python-theano
+Built-Using: ${javascriptBU}
 Description: CPU/GPU math expression compiler for Python (docs)
  Theano is a Python library that allows one to define and evaluate mathematical
  expressions involving multi-dimensional arrays efficiently. It provides a
