=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,28 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=theano
+export NODE_PATH=$(CURDIR)/debian/missing-source
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
+override_dh_auto_clean:
+	rm -rf theano/d3viz/js/*.min.js doc/library/d3viz/examples/d3viz/js/*.min.js debian/missing-source/*.js debian/missing-source/lodash debian/missing-source/graphlib-dot/bower.json debian/missing-source/graphlib-dot/lib/dot-grammar.js debian/missing-source/graphlib-dot/lib/version.js debian/missing-source/graphlib-dot/dist doc/.pybuild Theano.egg-info
+	make -C debian/missing-source/graphlib-dot clean
+	dh_auto_clean
+
 override_dh_auto_build:
+	ln -s /usr/lib/nodejs/lodash-compat debian/missing-source/lodash
+	#graphlib-dot.js
+	make -C debian/missing-source/graphlib-dot --always-make dist
+	cp debian/missing-source/graphlib-dot/dist/graphlib-dot.min.js theano/d3viz/js
+	#dagre-d3.js
+	browserify-lite ./debian/missing-source/dagre-d3/index.js --outfile debian/missing-source/dagre-d3.js --standalone dagreD3
+	uglifyjs debian/missing-source/dagre-d3.js --comments '@license' -o theano/d3viz/js/dagre-d3.min.js
+	#d3 - workaround for #745688
+	uglifyjs /usr/share/javascript/d3/d3.js -m -c --comments '@license' -o theano/d3viz/js/d3.v3.min.js
+	cp theano/d3viz/js/*.min.js doc/library/d3viz/examples/d3viz/js
+	#theano itself doesn't need a build as such
 
 export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/{package}
 
@@ -17,11 +34,7 @@
 export THEANO_FLAGS=base_compiledir='.pybuild',device=cpu
 
 override_dh_auto_test:
-ifneq (,$(filter i386 s390x,$(DEB_BUILD_ARCH)))
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH=. {interpreter} bin/theano-nose -v' dh_auto_test || true
-else
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH=. {interpreter} bin/theano-nose -v' dh_auto_test
-endif
 
 override_dh_installdocs:
 	dh_installdocs -A README.txt
@@ -35,3 +48,6 @@
 
 override_dh_compress:
 	dh_compress -X.py -X.ipynb -X.pdf # save theano-doc/html/_downloads
+
+override_dh_gencontrol:
+	dh_gencontrol -- -VjavascriptBU="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), \n' -W node-lodash-compat)$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), \n' -W libjs-d3)"
