## theano 1.0.1+dfsg

=== debian/changelog ===
theano (1.0.1+dfsg-2ubuntu1) cosmic; urgency=medium

  * Split the test suite to avoid OOM on arm64 and ppc64el,
    thanks Rebecca N. Palmer (LP: #1769672)

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 12 May 2018 07:48:47 +0000

theano (1.0.1+dfsg-2) unstable; urgency=medium

  * Recommend python(3)-parameterized instead of -nose-parameterized,
    and add python(3)-pkg-resources.
  * Set allow-stderr on import tests.
  * Remove X-Python3-Version.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 May 2018 11:02:28 +0100

theano (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop 878596.patch, applied upstream.
  * Switch to python(3)-parameterized,
    drop old-nose-parameterized.patch.
  * Refresh patches.
  * Change Vcs-* to Salsa.
  * Remove X-Python-Version, update X-Python3-Version.
  * Update and improve d/copyright.
  * Add Cython dependencies, rebuild Cython-generated C code.
  * Use upstream's script for building documentation, but also build
    README.html.  Support nodoc.
  * Use local rather than web links within documentation.
  * Recommend graphviz (for printing/d3viz), accept python-pydot-ng,
    and build-depend on them to allow testing.
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Add d/upstream/metadata.
  * Warn that upstream development is ending.
  * Add Breaks: on older versions of lasagne (see #893656).
  * Set Rules-Requires-Root: no.
  * Add autopkgtests.
  * Clarify cache directory permission errors (see #896220, #896421).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 05 May 2018 11:03:51 +0100
