=== debian/control ===
--- 
+++ 
@@ -1,12 +1,18 @@
 Source: theano
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Rebecca N. Palmer <rebecca_palmer@zoho.com>, Ghislain Antony Vaillant <ghisvail@gmail.com>
 Build-Depends:
- debhelper (>= 10),
+#for the build proper
+ debhelper (>= 11),
  dh-python,
+ cython,
+ cython3,
+#runtime dependencies - needed for the test suite and for the documentation build
+# No python(3)-pygpu because clblas doesn't work under pocl-opencl-icd (no mem_fence) and buildds are unlikely to have a real GPU
  python-dev,
  python3-dev,
  python-setuptools,
@@ -20,27 +26,33 @@
  python3-scipy,
  python-nose,
  python3-nose,
- python-nose-parameterized,
- python3-nose-parameterized,
-# No python(3)-pygpu because clblas doesn't work under pocl-opencl-icd (no mem_fence) and buildds are unlikely to have a real GPU
+ python-parameterized,
+ python3-parameterized,
+ python-pydot-ng | python-pydot,
+ python3-pydot,
+ graphviz,
+#for the documentation build
+ python3-docutils,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-pygments,
  dvipng,
  texlive-latex-extra,
+ texlive-fonts-recommended,
+ latexmk,
  rdfind,
  symlinks,
+#for building Javascript dependencies (of d3viz)
  node-browserify-lite,
  node-uglify,
  node-pegjs,
  node-lodash-compat,
  libjs-d3
-Standards-Version: 4.1.1
+Rules-Requires-Root: no
+Standards-Version: 4.1.4
 Homepage: http://www.deeplearning.net/software/theano/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/theano.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/theano.git
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
+Vcs-Git: https://salsa.debian.org/science-team/theano.git
+Vcs-Browser: https://salsa.debian.org/science-team/theano
 
 # omit archs which have NotImplementedErrors on non-aligned arrays during the tests and/or
 # having problems with the build flags (-m32/-m64), but also with disabled compilation (by cxx='').
@@ -55,14 +67,18 @@
  ${misc:Depends}
 Recommends:
  g++,
- python-pydot,
+ python-pydot | python-pydot-ng,
  python-nose,
- python-nose-parameterized,
- python-pygpu
+ python-parameterized,
+ python-pkg-resources,
+ python-pygpu,
+ cython,
+ graphviz
 Suggests:
  nvidia-cuda-toolkit,
  python-pycuda,
  theano-doc
+Breaks: python-lasagne (<< 0.1+git20180322.37ca134)
 Built-Using: ${javascriptBU}
 Description: CPU/GPU math expression compiler for Python
  Theano is a Python library that allows one to define and evaluate mathematical
@@ -73,6 +89,8 @@
  accelerated computations could be carried out on graphics cards processors.
  .
  This package contains Theano for Python 2.
+ .
+ Theano development is ending: consider using Caffe or Torch instead.
 
 # nvidia-cuda-toolkit should be at least Recommends, but it's in Suggests here to
 # keep the package in main.
@@ -89,12 +107,16 @@
  g++,
  python3-pydot,
  python3-nose,
- python3-nose-parameterized,
- python3-pygpu
+ python3-parameterized,
+ python3-pkg-resources,
+ python3-pygpu,
+ cython3,
+ graphviz
 Suggests:
  nvidia-cuda-toolkit,
  python3-pycuda,
  theano-doc
+Breaks: python3-lasagne (<< 0.1+git20180322.37ca134)
 Built-Using: ${javascriptBU}
 Description: CPU/GPU math expression compiler for Python 3
  Theano is a Python library that allows one to define and evaluate mathematical
@@ -105,6 +127,8 @@
  accelerated computations could be carried out on graphics cards processors.
  .
  This package contains Theano for Python 3.
+ .
+ Theano development is ending: consider using Caffe or Torch instead.
 
 Package: theano-doc
 Architecture: all
