=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,14 @@
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=theano
 export NODE_PATH=$(CURDIR)/debian/missing-source
+export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/{package}
+export THEANO_FLAGS=base_compiledir='.pybuild',device=cpu
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
-	rm -rf theano/d3viz/js/*.min.js doc/library/d3viz/examples/d3viz/js/*.min.js debian/missing-source/*.js debian/missing-source/lodash debian/missing-source/graphlib-dot/bower.json debian/missing-source/graphlib-dot/lib/dot-grammar.js debian/missing-source/graphlib-dot/lib/version.js debian/missing-source/graphlib-dot/dist doc/.pybuild Theano.egg-info
+	rm -rf theano/d3viz/js/*.min.js doc/library/d3viz/examples/d3viz/js/*.min.js debian/missing-source/*.js debian/missing-source/lodash debian/missing-source/graphlib-dot/bower.json debian/missing-source/graphlib-dot/lib/dot-grammar.js debian/missing-source/graphlib-dot/lib/version.js debian/missing-source/graphlib-dot/dist doc/.pybuild Theano.egg-info theano/scan_module/c_code/scan_perform.c
 	make -C debian/missing-source/graphlib-dot clean
 	dh_auto_clean
 
@@ -23,24 +25,28 @@
 	#d3 - workaround for #745688
 	uglifyjs /usr/share/javascript/d3/d3.js -m -c --comments '@license' -o theano/d3viz/js/d3.v3.min.js
 	cp theano/d3viz/js/*.min.js doc/library/d3viz/examples/d3viz/js
-	#theano itself doesn't need a build as such
-
-export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/{package}
+	#the cython code is the only part of theano itself that needs building - the C code is runtime compiled
+	cd theano/scan_module && cython3 scan_perform.pyx && patch --no-backup-if-mismatch scan_perform.c numpy_api_changes.diff && mv scan_perform.c -t c_code
+	#documentation
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	python3 doc/scripts/docgen.py
+	rst2html README.rst README.html
+endif
 
 override_dh_auto_install:
 	dh_auto_install
 	rm -fv debian/python*-theano/usr/lib/python*/dist-packages/theano/misc/check_blas_many.sh
 
-export THEANO_FLAGS=base_compiledir='.pybuild',device=cpu
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH=. {interpreter} bin/theano-nose -v' dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH=. {interpreter} theano/tests/run_tests_in_batch.py -v' dh_auto_test
 
 override_dh_installdocs:
-	dh_installdocs -A README.txt
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ debian/theano-doc/usr/share/doc/theano-doc/html/
+	dh_installdocs -A README.html
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	rdfind -outputname /dev/null -makesymlinks true debian/theano-doc
 	symlinks -r -s -c debian/theano-doc
+endif
 
 override_dh_sphinxdoc:
 	dh_sphinxdoc
