## theano 1.0.2+dfsg

=== debian/changelog ===
theano (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Split up the test suite to avoid running out of memory
    (workaround for #898126 / LP#1769672), but don't hide output.
  * Rebuild doc/library/d3viz/*.html, and tell Lintian where their
    source is.
    (This is unreproducible as some of them contain profiling output,
    but we're unreproducible anyway due to uglifyjs.)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 15 Jun 2018 08:23:45 +0100
