=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: theano
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Rebecca N. Palmer <rebecca_palmer@zoho.com>, Ghislain Antony Vaillant <ghisvail@gmail.com>
 Build-Depends:
@@ -42,6 +41,7 @@
  latexmk,
  rdfind,
  symlinks,
+ jupyter-nbconvert, python3-ipykernel,
 #for building Javascript dependencies (of d3viz)
  node-browserify-lite,
  node-uglify,
