=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,14 @@
 export NODE_PATH=$(CURDIR)/debian/missing-source
 export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/{package}
 export THEANO_FLAGS=base_compiledir='.pybuild',device=cpu
+export PYTHONPATH=$(CURDIR)
+export HOME=$(CURDIR)/jupyter_tmp
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
-	rm -rf theano/d3viz/js/*.min.js doc/library/d3viz/examples/d3viz/js/*.min.js debian/missing-source/*.js debian/missing-source/lodash debian/missing-source/graphlib-dot/bower.json debian/missing-source/graphlib-dot/lib/dot-grammar.js debian/missing-source/graphlib-dot/lib/version.js debian/missing-source/graphlib-dot/dist doc/.pybuild Theano.egg-info theano/scan_module/c_code/scan_perform.c
+	rm -rf theano/d3viz/js/*.min.js doc/library/d3viz/examples/d3viz/js/*.min.js debian/missing-source/*.js debian/missing-source/lodash debian/missing-source/graphlib-dot/bower.json debian/missing-source/graphlib-dot/lib/dot-grammar.js debian/missing-source/graphlib-dot/lib/version.js debian/missing-source/graphlib-dot/dist doc/.pybuild doc/library/d3viz/.pybuild Theano.egg-info theano/scan_module/c_code/scan_perform.c jupyter_tmp
 	make -C debian/missing-source/graphlib-dot clean
 	dh_auto_clean
 
@@ -29,6 +31,11 @@
 	cd theano/scan_module && cython3 scan_perform.pyx && patch --no-backup-if-mismatch scan_perform.c numpy_api_changes.diff && mv scan_perform.c -t c_code
 	#documentation
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	sed -i -e "s/!pip/#!pip/g" doc/library/d3viz/index.ipynb
+	mkdir jupyter_tmp
+	jupyter-nbconvert --to notebook --execute --allow-errors doc/library/d3viz/index.ipynb || exit 0
+	jupyter-nbconvert --to html doc/library/d3viz/index.nbconvert.ipynb || exit 0
+	sed -i -e "s/#!pip/!pip/g" doc/library/d3viz/index.ipynb
 	python3 doc/scripts/docgen.py
 	rst2html README.rst README.html
 endif
@@ -39,7 +46,7 @@
 
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH=. {interpreter} theano/tests/run_tests_in_batch.py -v' dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH=. {interpreter} theano/tests/run_tests_in_batch.py' dh_auto_test
 
 override_dh_installdocs:
 	dh_installdocs -A README.html
