=== debian/tests/control ===
Test-Command: python debian/tests/import
Depends: python-theano
Restrictions: allow-stderr

Test-Command: python3 debian/tests/import
Depends: python3-theano
Restrictions: allow-stderr

Test-Command: env TEST_PYTHON=python debian/tests/selected_upstream_tests
Depends: python-theano
Restrictions: needs-recommends, allow-stderr

Test-Command: env TEST_PYTHON=python3 debian/tests/selected_upstream_tests
Depends: python3-theano
Restrictions: needs-recommends, allow-stderr
