## theano 1.0.3+dfsg

=== debian/changelog ===
theano (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.
  * Don't list the old upstream as contact.
  * Install release notes as NEWS.gz to comply with
    Standards-Version 4.3.0.
  * tests: Stop using deprecated needs-recommends.
  * Fix crash with numpy 1.16.  (Closes: #918090)
  * Check that d3viz profiling runs but, for reproducibility,
    don't regenerate the profiling output in the documentation.
  * Don't apply numpy_api_changes.diff when using Cython >= 0.29,
    as the code it patches no longer exists.  (Closes: #918771)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 10 Jan 2019 19:12:25 +0000
