=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
  node-lodash-compat,
  libjs-d3
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.deeplearning.net/software/theano/
 Vcs-Git: https://salsa.debian.org/science-team/theano.git
 Vcs-Browser: https://salsa.debian.org/science-team/theano
