=== debian/rules ===
--- 
+++ 
@@ -28,16 +28,22 @@
 	uglifyjs /usr/share/javascript/d3/d3.js -m -c --comments '@license' -o theano/d3viz/js/d3.v3.min.js
 	cp theano/d3viz/js/*.min.js doc/library/d3viz/examples/d3viz/js
 	#the cython code is the only part of theano itself that needs building - the C code is runtime compiled
-	cd theano/scan_module && cython3 scan_perform.pyx && patch --no-backup-if-mismatch scan_perform.c numpy_api_changes.diff && mv scan_perform.c -t c_code
+	#the patch is to code Cython copies from itself (Cython/Includes/numpy/__init__.pxd), that only exists in older versions - #918771
+	cd $(CURDIR)/theano/scan_module && cython3 scan_perform.pyx
+	cd $(CURDIR)/theano/scan_module && dpkg --compare-versions `dpkg-query -f '$${Version}' -W cython3` gt 0.29~ || patch --no-backup-if-mismatch scan_perform.c numpy_api_changes.diff
+	cd $(CURDIR)/theano/scan_module && mv scan_perform.c -t c_code
 	#documentation
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	sed -i -e "s/!pip/#!pip/g" doc/library/d3viz/index.ipynb
 	mkdir jupyter_tmp
-	jupyter-nbconvert --to notebook --execute --allow-errors doc/library/d3viz/index.ipynb || exit 0
-	jupyter-nbconvert --to html doc/library/d3viz/index.nbconvert.ipynb || exit 0
+	#check that we can run this, but throw away the result because it's unreproducible (profiling output)
+	cp $(CURDIR)/doc/library/d3viz/index.ipynb jupyter_tmp && jupyter-nbconvert --to notebook --execute $(CURDIR)/jupyter_tmp/index.ipynb --output $(CURDIR)/jupyter_tmp/test.ipynb
+	#...but do use the ipynb-to-html-etc conversion
+	jupyter-nbconvert --to html doc/library/d3viz/index.ipynb
 	sed -i -e "s/#!pip/!pip/g" doc/library/d3viz/index.ipynb
 	python3 doc/scripts/docgen.py
 	rst2html README.rst README.html
+	cat NEWS.txt HISTORY.txt | gzip -n -9 > NEWS.gz
 endif
 
 override_dh_auto_install:
@@ -49,11 +55,15 @@
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='PYTHONPATH=. {interpreter} theano/tests/run_tests_in_batch.py' dh_auto_test
 
 override_dh_installdocs:
-	dh_installdocs -A README.html
+	dh_installdocs -A README.html NEWS.gz
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	rdfind -outputname /dev/null -makesymlinks true debian/theano-doc
 	symlinks -r -s -c debian/theano-doc
 endif
+
+override_dh_installchangelogs:
+	#the -X is meant as "don't try to install upstream changelog, only Debian's" - #906827
+	dh_installchangelogs -Xtxt
 
 override_dh_sphinxdoc:
 	dh_sphinxdoc
