=== debian/tests/control ===
Test-Command: python debian/tests/import
Depends: python-theano
Restrictions: allow-stderr

Test-Command: python3 debian/tests/import
Depends: python3-theano
Restrictions: allow-stderr

Test-Command: env TEST_PYTHON=python debian/tests/selected_upstream_tests
Depends: python-theano,
 g++,
 python-pydot | python-pydot-ng,
 python-nose,
 python-parameterized,
 python-pkg-resources,
 cython,
 graphviz
Restrictions: allow-stderr

Test-Command: env TEST_PYTHON=python3 debian/tests/selected_upstream_tests
Depends: python3-theano,
 g++,
 python3-pydot,
 python3-nose,
 python3-parameterized,
 python3-pkg-resources,
 cython3,
 graphviz
Restrictions: allow-stderr
