=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)rel-(\d[\d\.]+)\.tar\.gz/theano-$1.tar.gz/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//" \
https://github.com/theano/theano/releases (?:.*/)?rel-(\d[\d\.]+)\.tar\.gz
