=== doc/nextml2015/Makefile ===
presentation.pdf: presentation.tex
	pdflatex presentation.tex
	pdflatex presentation.tex

clean:
	rm *.toc *.snm *.aux *.log *.nav *.out *.vrb
