=== debian/changelog ===
theano (1.0.4+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:44:37 +0000

theano (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch applied upstream, refresh others.
  * Drop Python 2 package (see #938661) and avoid Python 2 use.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Bump debhelper compat to 12 and use debhelper-compat.
  * Remove broken documentation link.
  * Reproducibility: strip build path dependence from Cython output.
  * Attempt build on all architectures.  (Some will probably fail.)
  * Recommend libgpuarray-dev.
  * Warn that OpenCL support may be buggy,
    but test that it isn't totally broken.
  * Rename autopkgtests to remove forbidden characters.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 04 Nov 2019 21:17:14 +0000
