=== debian/control ===
Source: theano
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Rebecca N. Palmer <rebecca_palmer@zoho.com>
Build-Depends:
#for the build proper
 debhelper-compat (= 12),
 dh-python,
 cython3,
#runtime dependencies - needed for the test suite and for the documentation build
# No python3-pygpu etc because some GPU tests are known to fail under OpenCL
 python3-dev,
 python3-setuptools,
 python3-six,
 libblas-dev,
 python3-numpy,
 python3-scipy,
 python3-nose,
 python3-parameterized,
 python3-pydot,
 graphviz,
#for the documentation build
 python3-docutils,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-pygments,
 dvipng,
 texlive-latex-extra,
 texlive-fonts-recommended,
 latexmk,
 rdfind,
 symlinks,
 jupyter-nbconvert, python3-ipykernel,
#for building Javascript dependencies (of d3viz)
 node-browserify-lite,
 node-uglify,
 node-pegjs,
 node-lodash-compat,
 libjs-d3
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: http://www.deeplearning.net/software/theano/
Vcs-Git: https://salsa.debian.org/science-team/theano.git
Vcs-Browser: https://salsa.debian.org/science-team/theano

# nvidia-cuda-toolkit should be at least Recommends, but it's in Suggests here to
# keep the package in main.

Package: python3-theano
Architecture: any
Section: python
Depends:
 ${python3:Depends},
 python3-dev,
 libblas-dev | libblas.so,
 ${misc:Depends}
Recommends:
 g++,
 python3-pydot,
 python3-nose,
 python3-parameterized,
 python3-pkg-resources,
 python3-pygpu,
 libgpuarray-dev,
 cython3,
 graphviz
Suggests:
 nvidia-cuda-toolkit,
 python3-pycuda,
 theano-doc
Breaks: python3-lasagne (<< 0.1+git20180322.37ca134)
Built-Using: ${javascriptBU}
Description: CPU/GPU math expression compiler for Python 3
 Theano is a Python library that allows one to define and evaluate mathematical
 expressions involving multi-dimensional arrays efficiently. It provides a
 high-level Numpy like expression language for functional description of
 calculation, rearranges expressions for speed and stability, and generates
 native machine instructions for fast calculation. Optionally, highly
 accelerated computations could be carried out on graphics cards processors.
 .
 This package contains Theano for Python 3.
 .
 Theano development is ending: consider using Caffe or Torch instead.

Package: theano-doc
Architecture: all
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Suggests:
 python3-theano
Built-Using: ${javascriptBU}
Description: CPU/GPU math expression compiler for Python (docs)
 Theano is a Python library that allows one to define and evaluate mathematical
 expressions involving multi-dimensional arrays efficiently. It provides a
 high-level Numpy like expression language for functional description of
 calculation, rearranges expressions for speed and stability, and generates
 native machine instructions for fast calculation. Optionally, highly
 accelerated computations could be carried out on graphics cards processors.
 .
 This package contains the documentation for Theano.
