=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export HOME=$(CURDIR)/jupyter_tmp
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf theano/d3viz/js/*.min.js doc/library/d3viz/examples/d3viz/js/*.min.js debian/missing-source/*.js debian/missing-source/lodash debian/missing-source/graphlib-dot/bower.json debian/missing-source/graphlib-dot/lib/dot-grammar.js debian/missing-source/graphlib-dot/lib/version.js debian/missing-source/graphlib-dot/dist doc/.pybuild doc/library/d3viz/.pybuild Theano.egg-info theano/scan_module/c_code/scan_perform.c jupyter_tmp
@@ -28,8 +28,10 @@
 	uglifyjs /usr/share/javascript/d3/d3.js -m -c --comments '@license' -o theano/d3viz/js/d3.v3.min.js
 	cp theano/d3viz/js/*.min.js doc/library/d3viz/examples/d3viz/js
 	#the cython code is the only part of theano itself that needs building - the C code is runtime compiled
-	#the patch is to code Cython copies from itself (Cython/Includes/numpy/__init__.pxd), that only exists in older versions - #918771
 	cd $(CURDIR)/theano/scan_module && cython3 scan_perform.pyx
+	#remove relative paths from comments - they are unreproducible (depends on the number of levels in the build path) and probably wrong when installed
+	cd $(CURDIR)/theano/scan_module && sed -iE -e 's#/\* "[./]*usr/lib/#/\* "/usr/lib/#g' scan_perform.c
+	#this patch is to code Cython copies from itself (Cython/Includes/numpy/__init__.pxd), that only exists in older versions - #918771
 	cd $(CURDIR)/theano/scan_module && dpkg --compare-versions `dpkg-query -f '$${Version}' -W cython3` gt 0.29~ || patch --no-backup-if-mismatch scan_perform.c numpy_api_changes.diff
 	cd $(CURDIR)/theano/scan_module && mv scan_perform.c -t c_code
 	#documentation
